# CSTools-Issues

CSTools-Issues is a public GitLab repository to track issues found by the R package CSTools users.

CSTools is published on CRAN repository [https://CRAN.R-project.org/package=CSTools](https://cran.r-project.org/web/packages/CSTools/) and it is founded by the ERA4CS MEDSCOPE project.

### Installation

You can then install the publicly released version of CSTools from CRAN in your R session:

```
install.packages("CSTools")
```

and start using it by loading it:

```
library(CSTools)
```

### Usage of CSTools-Issue GitLab Project 


Please open an issue for reporting problems, questions and bugs by clicking in `Issues` -> `New issue` and 


*  provide an explanation of the issue and provide the code as well as the error message if required,


*  tag your issue with the corresponding label: Bug, Doubt, Enhancement, ... and 


*  use the open issue to discuss with the responsible.


Find out more in the overview below, in the project page at [https://www.medscope-project.eu/the-project/medscope-platform/](https://www.medscope-project.eu/the-project/medscope-platform/) or on the CRAN website at [https://CRAN.R-project.org/package=CSTools](https://cran.r-project.org/web/packages/CSTools/).

Please, cite the package as

  *Louis-Philippe Caron, Jost von Hardenberg, Nuria Perez-Zanon, Llorenç LLedo, Nicolau Manubens, Veronica Torralba and Deborah Verfaillie (2019). CSTools: Assessing Skill of Climate Forecasts on Seasonal-to-Decadal Timescales. R package version 1.0.1.  http://CRAN.R-project.org/package=CSTools*


### Overview

CSTools: Assessing Skill of Climate Forecasts on Seasonal-to-Decadal Timescales

Exploits dynamical seasonal forecasts in order to provide information relevant to stakeholders at the seasonal timescale. The package contains process-based methods for forecast calibration, bias correction, statistical and stochastic downscaling, optimal forecast combination and multivariate verification, as well as basic and advanced tools to obtain tailored products. This package was developed in the context of the ERA4CS project MEDSCOPE. Doblas-Reyes et al. (2005) <doi:10.1111/j.1600-0870.2005.00104.x>. Mishra et al. (2018) <doi:10.1007/s00382-018-4404-z>. Terzago et al. (2018) <doi:10.5194/nhess-18-2825-2018>. Torralba et al. (2017) <doi:10.1175/JAMC-D-16-0204.1>. D'Onofrio et al. (2014) <doi:10.1175/JHM-D-13-096.1>.
The package contains sample data that could be used once the package is loaded, e.g.:


```
dim(areave_data)

str(lonlat_data)

lonlat_prec$lat

```

You can also follow the vignettes provided with the package:

- Downscalling Precipitation with [RainFARM](https://cran.r-project.org/web/packages/CSTools/vignettes/RainFARM_vignette.html) 

- Evaluate [multi-model scores](https://cran.r-project.org/web/packages/CSTools/vignettes/MultiModelSkill_vignette.html) 

- [Multi variable RMSE](https://cran.r-project.org/web/packages/CSTools/vignettes/MultivarRMSE_vignette.html) computation 


